@font-face {
    font-family: 'Stag Sans Regular';
    font-style: normal;
    font-weight: normal;
    src: local('Stag Sans Regular'), url('../../fonts/StagSansRegular.woff') format('woff');
}

@font-face {
    font-family: 'Stag Sans Thin';
    font-style: normal;
    font-weight: normal;
    src: local('Stag Sans Thin'), url('../../fonts/StagSansThin.woff') format('woff');
}

@font-face {
    font-family: 'Stag Sans Light';
    font-style: normal;
    font-weight: normal;
    src: local('Stag Sans Light'), url('../../fonts/StagSansLight.woff') format('woff');
}

@font-face {
    font-family: 'Stag Sans Medium';
    font-style: normal;
    font-weight: normal;
    src: local('Stag Sans Medium'), url('../../fonts/StagSansMedium.woff') format('woff');
}

@font-face {
    font-family: 'Stag Sans SemiBold';
    font-style: normal;
    font-weight: normal;
    src: local('Stag Sans SemiBold'), url('../../fonts/StagSansSemiBold.woff') format('woff');
}

@font-face {
    font-family: 'Stag Sans Bold';
    font-style: normal;
    font-weight: normal;
    src: local('Stag Sans Bold'), url('../../fonts/StagSansBold.woff') format('woff');
}

@font-face {
    font-family: 'Stag Sans Black';
    font-style: normal;
    font-weight: normal;
    src: local('Stag Sans Black'), url('../../fonts/StagSansBlack.woff') format('woff');
}


body{
    --bs-btn-font-family: 'Stag Sans Regular';
    font-family: 'Stag Sans Regular' !important;
}
.stag-regular{
    font-family:'Stag Sans Regular';
}
.stag-thin{
    font-family:'Stag Sans Thin';
}
.stag-light{
    font-family:'Stag Sans Light';
}
.stag-medium{
    font-family:'Stag Sans Medium';
}
.stag-semibold{
    font-family:'Stag Sans SemiBold';
}
.stag-bold{
    font-family:'Stag Sans Bold';
}
.stag-black{
    font-family:'Stag Sans Black';
}


.highlight-search{
    background:#fff4cc;
    color:#665000;
}

.switch{
	display: grid !important;
}

/* Input image */
.image-input [data-kt-image-input-action] {
    position: relative !important;
}
.image-input [data-kt-image-input-action="cancel"]{
    top: calc(100% - 25px);
}

.image-input [data-kt-image-input-action="remove"]{
    left: 96.5%;
}
/* Input image */

.scroll-menu {
	overflow: auto;
	white-space: nowrap;
}

/* Works on Firefox */
.scroll-menu {
	scrollbar-width: thin;
	scrollbar-color: #e2e2e280 #f6f9fa80;
}

/* Works on Chrome, Edge, and Safari */
.scroll-menu::-webkit-scrollbar {
	height: 4px;
}

.scroll-menu::-webkit-scrollbar-track {
	background:  #f6f9fa80;
}

.scroll-menu::-webkit-scrollbar-thumb {
	background-color: #e2e2e280;
}
.noHover{
    pointer-events: none;
}
.no_checkbox > i.jstree-checkbox {
	display: none;
}

.disabled{
  pointer-events: none;
  opacity: 0.5 !important;
}

.box{
	max-width: 300px;
	width: 100%;
	padding: 0 15px;
}

/*Css para el efecto de carga tipo Skeleton*/
.skeleton {
  border-radius: 4px;
  position: relative;
  overflow: hidden;
  background-color: #9B9B9B;
  opacity: 0.1;
  height: 40px;
  margin-bottom: 10px;
  text-align: center;
  display: inline-block;
}

.skeleton-10 {
  width: 10%;
}

.skeleton-20 {
  width: 20%;
}

.skeleton-30 {
  width: 30%;
}

.skeleton-32 {
    width: 32%;
}

.skeleton-40 {
  width: 40%;
}

.skeleton-45 {
    width: 45%;
}

.skeleton-49 {
    width: 49%;
}

.skeleton-50 {
  width: 50%;
}

.skeleton-60 {
  width: 60%;
}

.skeleton-70 {
  width: 70%;
}

.skeleton-80 {
  width: 80%;
}

.skeleton-90 {
  width: 90%;
}

.skeleton-100 {
  width: 100%;
}

.skeleton-loading::before {
  content: '';
  display: block;
  position: absolute;
  left: -150px;
  top: 0;
  height: 100%;
  width: 150px;
  background: linear-gradient(to right, transparent 0%, #e6e4e4  50%, transparent 100%);
  animation: load 1.5s cubic-bezier(0.4, 0.0, 0.2, 1) infinite;
}

@keyframes load {
  from {
      left: -150px;
  }
  to   {
      left: 100%;
  }
}
/*####### Fin loading Skeleton ##############*/

@media (max-width: 400px) {
  #my_camera video {
      max-width: 80%;
      max-height: 80%;
  }

  #results img {
      max-width: 80%;
      max-height: 80%;

  }
}

.drawer-jstree{
  overflow-y: scroll;
  max-height: calc(100vh - 280px);
}

.drawer-jstree-permisos{
  overflow-y: scroll;
  max-height: calc(100vh - 360px);
}

.drawer-jstree-plantillas{
  overflow-y: scroll;
  max-height: calc(100vh - 430px);
}
.fs10{
  font-size: 10px !important;
}

.fs11{
  font-size: 12px !important;
}

.fs12{
  font-size: 12px !important;
}

.fs13{
  font-size: 13px !important;
}

.fs14{
  font-size: 14px !important;
}

.fs15{
  font-size: 15px !important;
}

.fs16{
  font-size: 16px !important;
}

.fs17{
  font-size: 17px !important;
}

.fs18{
  font-size: 18px !important;
}

.fs19{
  font-size: 19px !important;
}

.fs20{
  font-size: 20px !important;
}

.fs21{
  font-size: 21px !important;
}

.fs22{
  font-size: 22px !important;
}

.fs23{
  font-size: 23px !important;
}

.fs24{
  font-size: 24px !important;
}

.fs25{
  font-size: 25px !important;
}

.fs26{
  font-size: 26px !important;
}

.fs27{
  font-size: 27px !important;
}

.fs28{
  font-size: 28px !important;
}

.fs29{
  font-size: 29px !important;
}

.fs30{
  font-size: 30px !important;
}

.fs40{
    font-size: 40px !important;
  }

hr.gris{
  border-top: 1px solid #d9dcde
}

.p-login{
  padding: 10% 5%;
}

.colorUrrea {
  color: #19456e !important;
}


.psi-0{
  padding-left: 0px !important;
}

.pei-0{
  padding-right: 0px !important;
}

.input-group-text {
  display: flex;
  align-items: center;
  padding: .775rem 1rem;
  /* font-size: 1.6rem; */
  font-weight: 500;
  line-height: 1.5;
  text-align: center;
  white-space: nowrap;
  background-color:#EDEDED !important;
  /* border: 1px solid var(--bs-gray-300); */
  border-radius: 0 .475rem .475rem 0;
    border-top-left-radius: 0px;
    border-top-right-radius: 0.475rem;
    border-bottom-right-radius: 0.475rem;
    border-bottom-left-radius: 0px;
}

.endIconEyePassMeter{
  right: 10px;
  z-index: 99 !important;
}

.ql-editor{
    min-height: 300px !important;
}

.ribbon .ribbon-label{
    top: inherit !important;
}

div.dataTables_wrapper div.dataTables_length {
    padding: 1rem 0;
    position: relative;
    float: left;
}

div.dataTables_wrapper div.dataTables_filter {
    padding: 1rem 0;
    position: relative;
    float: right;
}

.max-h500{
    max-height: 500px !important;
}
.max-h700{
    max-height: 700px !important;
}

.max-h800{
    max-height: 800px !important;
}

.overflow-y-scroll{
    overflow-y: scroll !important;
}

.width-login{
  width: 40vw;
  min-width: 300px;
  max-width: 700px;
}

.bs-login{
  border: 0.1em solid !important;
}

.block-i{
  position: fixed;
  height: 100%;
}

.img-logo-login{
  min-width: 250px;
  max-width: 450px;
  width: 30vw;
}


.overflows-y{
    overflow-x: hidden;
    overflow-y: inherit;
}
.text-sm-center {
    text-align: left !important;
}

.mx-sm-center{
    margin-left: auto;
}

.margin-form {
    margin: auto 1%;
}

.bgi-attachment-fixed-siempre {
    background-attachment: fixed !important;
}

#g-recaptcha{

}

@media (max-width: 575px) {
    .text-sm-center{
      text-align: center !important;
    }
    .mx-sm-center{
        margin: 0px auto;
    }
    .margin-form {
        margin: 0px 1%;
    }
    #g-recaptcha{
        position: relative !important;
        margin: 0 auto !important;
    }
}

@media (max-width: 767px) {
    .text-sm-center{
      text-align: center !important;
    }
    .mx-sm-center{
        margin: 0px auto;
    }

    .margin-form {
        margin: 0px 1%;
    }
}

@media (max-width: 991px) {
    .p-login{
        padding: 0% 5%!important;
    }

    .block-i{
        position: relative;
        height: 150px !important;
    }

    .margin-form {
        margin: 0px 1%;
    }
}

@media (min-width: 991px) {
    .overflows-y{
        overflow-x: inherit;
        overflow-y: inherit;
    }

}

.position-absolute{
    position: absolute !important;
}

.text-gris {
    color: #f8f9fa !important;
}

.monedas {
    height: 45px !important;
}

.bg-gris{
    background-color: #f8f9fa !important;
}

.text-azul{
    color: #00325D !important;
}

.borde-azul{
    border-color: #00325D !important;
}

.bg-azul-urrea{
    background-color: #00325D !important;
}


.img-logo{
    /* height: 5vw; */
    /* min-height: 60px; */
    /* max-height: 85px; */
    height: 50px;
}

.icono-footer{
    /* min-width: 25px;
    max-width: 40px;
    width: 3vw; */
    width: 55px;
}

.footer-h{
    /* height: 80vw !important; */
    /* max-height: 400px; */
    min-height: 350px;
}

.img-logo-urrea{
  /* min-width: 150px;
  max-width: 200px;
  width: 15vw; */
  height: 60px;
  width: auto;
}

.fs-1-rem{
  font-size: 1rem !important;
}

.fs-2-rem{
  font-size: 2rem !important;
}

.fs-3-rem{
  font-size: 3rem !important;
}

.max-h100{
  height: 100px !important;
}

.max-h110{
  height: 110px !important;
}

.max-h120{
  height: 120px !important;
}

.max-h130{
  height: 130px !important;
}

.max-h140{
  height: 140px !important;
}

.max-h150{
  height: 150px !important;
}

.max-h50{
  height: 50px !important;
}

.br25{
  border-radius: 25px!important;
}

.br10{
  border-radius: 10px!important;
}

.bg-transparent-solid-white{
  border: #e6e4e4 solid 1px !important;
}

.color-white{
  color: #FFFFFF!important;
}

.login-plomero {
    background: linear-gradient(to bottom,
                                var(--bs-primary-inverse) 60%,
                                #00325D 60%, #00325D 92%,
                                #FB4D00 92%, #FB4D00 94%,
                                #00325D 94%
                                );
}

.fs-16 {
    font-size: 16px !important;
}

.h25{
  height: 25px;
}

.profile-picture{
  border-radius: 50%;
  width: 35vw;
  height: 35vw;
  max-width: 400px;
  min-width: 120px;
  max-height: 400px;
  min-height: 120px;
}

.header-accesos-botones{
  margin-top: -10px;
  white-space: nowrap;
}

.btn-header{
  height: 40px;
}

.img-container {
  height: auto;
  position: relative;
  overflow: hidden;
}

.img-container img {
  position: relative;
  object-fit: cover;
  max-height: 100%;
  max-width: 100%;
  aspect-ratio: 1 / 1;
  object-fit: contain;
}

.limit-nombre {
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
}

.max-h170{
  height: 170px!important;
}

.max-h50{
  height: 50px;
}

.max-h30{
  height: 30px;
}

.max-h427{
  height: 427px;
}

.img-container-ficha-producto img {
  position: relative;
  top: 50%;
  left: 50%;
  width: auto !important;
  transform: translate(-50%, -0%);
  object-fit: cover; /* Asegura que la imagen cubra el contenedor */
  max-height: 85%; /* Previene que la imagen crezca más allá del contenedor */
  max-width: 85%; /* Previene que la imagen crezca más allá del contenedor */
}

.lista-menu {
    list-style:none;
    height: 50px;
    margin: 0;
    display: flex;
}

.lista-menu > li {
    display: inline-flex;
    height: 20px;
    align-items: center;
    align-content: center;
    margin: auto 20px;
}

.text-whatsapp {
    color: #128c7e !important;
}

.lh19px {
    line-height: 19px !important;
}

.listaDerecha {
    direction: rtl;
    text-align: right;
}

.unaLinea {
    white-space: nowrap !important;
}

.text-right {
    text-align: right;
}

.div-plomoneda{
  display: flow;
  margin-top: -60px;
  margin-left: 30px;
}

.img-plomoneda{
  height: 50px;
  width: 50px;
  position: relative;
}

.min-w160{
  min-width: 160px;
}

.h-35{
    height: 35px !important;
}

.mh-400{
    min-height: 400px !important;
}

.mh-350{
    min-height: 350px !important;
}

.mh-250{
  min-height: 250px !important;
}

.max-h350{
  max-height: 350px !important;
}

.left-50{
    left: -50px !important;
}

/* .limit-encabezado { */
.left150{
    left: 150px !important;
}

.limit-1 {
    display: -webkit-box;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
}

.limit-vigencia {
    display: -webkit-box;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
}

.limit-nombre {
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
}

.limit-descripcion {
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
}

.h-descripcion-card{
    height: 160px;
}

.img-carousel-custom {
  height: 100%;
  position: relative;
  width: auto !important;
  object-fit: cover;
}

.carousel-container{
  overflow: hidden;
  width: 100%;
  position: relative;
}
.header-page {
    height: 240px !important;
    width: 100% !important;
    background: linear-gradient(
                                    to bottom,
                                    var(--bs-primary-inverse) 65%,
                                    #FB4D00 65%, #FB4D00 67%,
                                    #00325D 67%
                                );
}

.header-title {
    /* background-color: yellow; */
    position:relative !important
}

.header-image-left {
    height:  240px !important;
    width: auto !important;
}

.header-image-right {
    /* background-color: red; */
    height:  240px !important;
    position:relative !important
}

.table-bordered > :not(caption) > * > * {
    border-width: 2px;
}

.borde-img{
    display: inline-block;
    flex-shrink: 0;
    position: relative;
    border-radius: 0.475rem !important;
}


.z-index-2 {
  z-index: 2;
}

.fs-sm {
  font-size: 0.8rem;
}

.items-counter {
    width: 28px;
    height: 28px;
    top: -4px;
    right: -4px;
}

.cart-items-actions button,
.cart-items-actions input {
    height: 32px;
}
.bg-azul-urrea .btn .text-gris{
    --bs-btn-color: white !important;
    outline: 0 !important;
}

.border-raius-x
{
    border-radius: 0px 8px 0px 0px !important;
}

.tns .tns-nav button {
    background-color: #c8c8c8;
}

.tns {
  overflow: unset !important;
}

.tns-nav {
  position: absolute;
  bottom: -50px;
  left: 50%;
  transform: translateX(-50%);
  display: flex;
  gap: 10px;
}


.slide-noticias {
  max-height: 200px;
}

.slide-noticias img{
  position: relative;
  object-fit: cover;
  max-height: 100%;
  max-width: 100%;
  aspect-ratio: 2 / 1;
  object-fit: contain;
}

.max-w200{
  max-width: 200px !important;
}

.max-w250{
  max-width: 250px !important;
}

.text-justify{
  text-align: justify;
  text-justify: inter-word;
}

.text-primary{
  color: #00325D !important;
}

.btn-primary{
  background-color: #00325D !important;
}

.bg-primary{
  background-color: #00325D !important;
}

.max-content {
  width: max-content !important;
}